import request from "@/utils/request";
//获取所有车间信息
export function getWorkshopData(data: string) {
  return request({
    url: "/api/v1/base/workShop/page",
    method: "post",
    data,
  });
}
//每日完工入库Echart图表
export function getEchartData(data: string) {
  return request({
    url: "/api/v1/process/census/completeOrder/list",
    method: "post",
    data,
  });
}
//节拍时间段内数据获取
export function getBeatInfo(data: string) {
  return request({
    url: "/api/v1/process/census/beatInfo/page",
    method: "post",
    data,
  });
}

//工序每日完成chart数据列表获取
export function getOperationList(data: string) {
  return request({
    url: "/api/v1/process/census/operationList/list",
    method: "post",
    data,
  });
}
//工序每日完成chart详情数据获取
export function getOperationInfo(data: string) {
  return request({
    url: "/api/v1/process/census/completeOperation/list",
    method: "post",
    data,
  });
}

// 获取工单编码
export function getJobInfo(orderId: string, opType: string,orderType: string) {
  return request({
    url: `/api/v1/plan/workOrder/workOrderCode/${orderId}/${opType}/${orderType}`,
    method: "get",
  });
}
